import ChartView from '../../view/Chart';
import GaugeSeriesModel from './GaugeSeries';
import GlobalModel from '../../model/Global';
import ExtensionAPI from '../../ExtensionAPI';
import { ColorString } from '../../util/types';
interface PosInfo {
    cx: number;
    cy: number;
    r: number;
}
declare class GaugeView extends ChartView {
    static type: "gauge";
    type: "gauge";
    private _data;
    render(seriesModel: GaugeSeriesModel, ecModel: GlobalModel, api: ExtensionAPI): void;
    dispose(): void;
    _renderMain(seriesModel: GaugeSeriesModel, ecModel: GlobalModel, api: ExtensionAPI, colorList: [number, ColorString][], posInfo: PosInfo): void;
    _renderTicks(seriesModel: GaugeSeriesModel, ecModel: GlobalModel, api: ExtensionAPI, getColor: (percent: number) => ColorString, posInfo: PosInfo, startAngle: number, endAngle: number, clockwise: boolean): void;
    _renderPointer(seriesModel: GaugeSeriesModel, ecModel: GlobalModel, api: ExtensionAPI, getColor: (percent: number) => ColorString, posInfo: PosInfo, startAngle: number, endAngle: number, clockwise: boolean): void;
    _renderTitle(seriesModel: GaugeSeriesModel, ecModel: GlobalModel, api: ExtensionAPI, getColor: (percent: number) => ColorString, posInfo: PosInfo): void;
    _renderDetail(seriesModel: GaugeSeriesModel, ecModel: GlobalModel, api: ExtensionAPI, getColor: (percent: number) => ColorString, posInfo: PosInfo): void;
}
export default GaugeView;
